Jump to content


Photo

USM Compatibility Patch


  • Please log in to reply
28 replies to this topic

#1 kyrie

kyrie

    Jedi Knight

  • Members
  • PipPipPipPip
  • 160 posts

Posted 05 November 2012 - 10:48 PM

Can anyone think of any mods that they would like to be made compatible with tslrcm? I am trying to get some ideas, I have alot of time on my hands and would like to try to do this.

#2 Sith Holocron

Sith Holocron

    M4-78

  • Administrators
  • 1,972 posts
  • LocationMaryland (Nar Shaddaa East)

Posted 06 November 2012 - 01:20 AM

Can anyone think of any mods that they would like to be made compatible with TSLRCM? I am trying to get some ideas. I have a lot of time on my hands and would like to try to do this.


USM
Release dates are for those that don't care about quality in mods.

#3 kyrie

kyrie

    Jedi Knight

  • Members
  • PipPipPipPip
  • 160 posts

Posted 06 November 2012 - 03:04 AM

I was afraid someone would ask for that, but I am willing to give it a shot. I may need, uncompiled tslrcm scripts. Does anyone have the uncompiled scripts for the first tslrcm compatibility patch?

#4 Sith Holocron

Sith Holocron

    M4-78

  • Administrators
  • 1,972 posts
  • LocationMaryland (Nar Shaddaa East)

Posted 06 November 2012 - 03:18 AM

PM Hassat Hunter for that. ;)
Release dates are for those that don't care about quality in mods.

#5 kyrie

kyrie

    Jedi Knight

  • Members
  • PipPipPipPip
  • 160 posts

Posted 06 November 2012 - 03:22 AM

Will I have to get the original uncompiled scripts for the usm patch from stoney?

#6 Sith Holocron

Sith Holocron

    M4-78

  • Administrators
  • 1,972 posts
  • LocationMaryland (Nar Shaddaa East)

Posted 06 November 2012 - 03:37 AM

Will I have to get the original uncompiled scripts for the USM patch from stoney?


You're probably better off recreating the patch from scratch, no? If not, send Stoney a PM.
Release dates are for those that don't care about quality in mods.

#7 kyrie

kyrie

    Jedi Knight

  • Members
  • PipPipPipPip
  • 160 posts

Posted 06 November 2012 - 03:40 AM

You're probably better off recreating the patch from scratch, no? If not, send Stoney a PM.


I probably will recreate from scratch but it would be nice to get an idea of how he got it to work.

#8 kyrie

kyrie

    Jedi Knight

  • Members
  • PipPipPipPip
  • 160 posts

Posted 06 November 2012 - 06:27 AM

Sorry for double post but would anyone be interested in helping with this if I am in need?

#9 Nsinger998

Nsinger998

    Jedi Knight

  • M478_Staff
  • 150 posts

Posted 06 November 2012 - 08:25 AM

Perhaps a trifecta? I like both usm and tor series.
New Jedi Knight: my training is finally complete!

Jedi Master: No, it has only just begun.

#10 WhereIsBaoDur

WhereIsBaoDur

    Jedi Apprentice

  • Members
  • PipPip
  • 20 posts

Posted 06 November 2012 - 11:30 AM

It would be useful to have Remote tells influence back for TSLRCM 1.8. Also, Workbench crystal attunement doesn't work anymore, am I right? (don't rememeber choose hanharr or mira, never tried it, always thought it was great though since i prefer hanharr)

#11 kyrie

kyrie

    Jedi Knight

  • Members
  • PipPipPipPip
  • 160 posts

Posted 06 November 2012 - 03:58 PM

It would be useful to have Remote tells influence back for TSLRCM 1.8. Also, Workbench crystal attunement doesn't work anymore, am I right? (don't rememeber choose hanharr or mira, never tried it, always thought it was great though since i prefer hanharr)


the workbench crystal attunement still works I used it my last playthrough with 1.8, haven't tried it with 1.8.1 yet. I have decided to tackle USM compatibility first before I tackle anything else, the remote tells influence should be compatible still afaik it's on this compatibility list (HH or SH might be able to answer this better than I thou), if not I may fix it when I get irritated with usm compatibility patch. Before anyone asks it will be compatible with M4-78EP, I will be getting what I need to make this happen.

#12 kyrie

kyrie

    Jedi Knight

  • Members
  • PipPipPipPip
  • 160 posts

Posted 06 November 2012 - 09:30 PM

As you can see by the title I am working on making a new USM compatibility patch for TSLRCM. It will be work with M4-78EP before anyone asks. Thoughts, suggestions?

#13 Stoney

Stoney

    Jedi Master

  • Administrators
  • 1,114 posts

Posted 07 November 2012 - 12:05 AM

the workbench crystal attunement still works I used it my last playthrough with 1.8, haven't tried it with 1.8.1 yet. I have decided to tackle USM compatibility first before I tackle anything else, the remote tells influence should be compatible still afaik it's on this compatibility list (HH or SH might be able to answer this better than I thou), if not I may fix it when I get irritated with usm compatibility patch. Before anyone asks it will be compatible with M4-78EP, I will be getting what I need to make this happen.

As far as I remember(been awhile since messing with any of this) all the scripts should be fine from the last usm patch the biggest issue is the dlgs. All the dlgs for party members were updated/changed for 1.8 so all would need to be re-done to add in the usm stuff.

#14 Hassat Hunter

Hassat Hunter

    Beta Testing Monkey

  • Administrators
  • 3,607 posts

Posted 07 November 2012 - 12:19 AM

Well, there is the big gameending bug on Malachor with the black screen. Something should be done there too.

And probably a dozen other areas that 1.5 (or was it 6?) didn't change, while 1.8.1 now does...

Yeah, don't think just dlg updating cuts it.

#15 Sith Holocron

Sith Holocron

    M4-78

  • Administrators
  • 1,972 posts
  • LocationMaryland (Nar Shaddaa East)

Posted 07 November 2012 - 12:45 AM

As you can see by the title I am working on making a new USM compatibility patch for TSLRCM. It will be work with M4-78EP before anyone asks. Thoughts, suggestions?


Good luck. You'll need it.
Release dates are for those that don't care about quality in mods.

#16 Stoney

Stoney

    Jedi Master

  • Administrators
  • 1,114 posts

Posted 07 November 2012 - 12:56 AM

Just be patient when going through the dlgs they can get very frustrating. :censored: and you'll be fine.

#17 kyrie

kyrie

    Jedi Knight

  • Members
  • PipPipPipPip
  • 160 posts

Posted 07 November 2012 - 03:53 AM

I am willing to put in the time and learn what needs to be done I just might need some tips from time to time

Edit: On a side note can you merge the start of the discussion about USM Patch with the tread I created in WIP?

#18 Sith Holocron

Sith Holocron

    M4-78

  • Administrators
  • 1,972 posts
  • LocationMaryland (Nar Shaddaa East)

Posted 07 November 2012 - 05:06 AM

Edit: On a side note can you merge the start of the discussion about USM Patch with the tread I created in WIP?


Done.
Release dates are for those that don't care about quality in mods.

#19 kyrie

kyrie

    Jedi Knight

  • Members
  • PipPipPipPip
  • 160 posts

Posted 07 November 2012 - 05:07 AM

Thank you SH

#20 Stoney

Stoney

    Jedi Master

  • Administrators
  • 1,114 posts

Posted 08 November 2012 - 12:36 AM

Well, there is the big gameending bug on Malachor with the black screen. Something should be done there too.

And probably a dozen other areas that 1.5 (or was it 6?) didn't change, while 1.8.1 now does...

Yeah, don't think just dlg updating cuts it.

any on-enter script modified for 1.8 just needs to be renamed to old_"scriptname".ncs but yes there was a malachor issue but usm didn't supply the needed script to be re-written and it wouldn't decompile so the only fix is to remove the effected script. (no I don't remeber which one :eek: )




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users